Bug 8069 - Update request: virtualbox-4.1.24-1.mga2
: Update request: virtualbox-4.1.24-1.mga2
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
:
: http://lwn.net/Vulnerabilities/531056/
: mga2-64-OK mga2-32-OK
: validated_update
: 8068 8227
:
  Show dependency treegraph
 
Reported: 2012-11-13 18:12 CET by Thomas Backlund
Modified: 2013-01-18 01:36 CET (History)
6 users (show)

See Also:
Source RPM: virtualbox-4.1.24-1.mga2
CVE:


Attachments

Description Thomas Backlund 2012-11-13 18:12:13 CET
This is a update request for virtualbox-4.1.22-1.mga2:

SRPMS:
kmod-vboxadditions-4.1.22-6.mga2.src.rpm
kmod-virtualbox-4.1.22-6.mga2.src.rpm
virtualbox-4.1.22-1.mga2.src.rpm

i586:
dkms-vboxadditions-4.1.22-1.mga2.i586.rpm
dkms-virtualbox-4.1.22-1.mga2.i586.rpm
python-virtualbox-4.1.22-1.mga2.i586.rpm
vboxadditions-kernel-3.4.18-desktop-1.mga2-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-3.4.18-desktop586-1.mga2-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-3.4.18-netbook-1.mga2-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-3.4.18-server-1.mga2-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.1.22-6.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.1.22-6.mga2.i586.rpm
virtualbox-4.1.22-1.mga2.i586.rpm
virtualbox-devel-4.1.22-1.mga2.i586.rpm
virtualbox-guest-additions-4.1.22-1.mga2.i586.rpm
virtualbox-kernel-3.4.18-desktop-1.mga2-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-3.4.18-desktop586-1.mga2-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-3.4.18-netbook-1.mga2-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-3.4.18-server-1.mga2-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.1.22-6.mga2.i586.rpm
virtualbox-kernel-server-latest-4.1.22-6.mga2.i586.rpm
x11-driver-video-vboxvideo-4.1.22-1.mga2.i586.rpm

x86_64:
dkms-vboxadditions-4.1.22-1.mga2.x86_64.rpm
dkms-virtualbox-4.1.22-1.mga2.x86_64.rpm
python-virtualbox-4.1.22-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.18-desktop-1.mga2-4.1.22-6.mga2.x86_64.rpm
vboxadditions-kernel-3.4.18-netbook-1.mga2-4.1.22-6.mga2.x86_64.rpm
vboxadditions-kernel-3.4.18-server-1.mga2-4.1.22-6.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.1.22-6.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.1.22-6.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.1.22-6.mga2.x86_64.rpm
virtualbox-4.1.22-1.mga2.x86_64.rpm
virtualbox-devel-4.1.22-1.mga2.x86_64.rpm
virtualbox-guest-additions-4.1.22-1.mga2.x86_64.rpm
virtualbox-kernel-3.4.18-desktop-1.mga2-4.1.22-6.mga2.x86_64.rpm
virtualbox-kernel-3.4.18-netbook-1.mga2-4.1.22-6.mga2.x86_64.rpm
virtualbox-kernel-3.4.18-server-1.mga2-4.1.22-6.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.1.22-6.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.1.22-6.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.1.22-6.mga2.x86_64.rpm
x11-driver-video-vboxvideo-4.1.22-1.mga2.x86_64.rpm


Advisory:
- to be written...



Testing:
- installs, and runs ok
- upgrades ok from previous version, including prebuilt modules
Comment 1 Thomas Backlund 2012-11-18 21:02:50 CET
taking it back, will respin based on 3.4.19
Comment 2 Thomas Backlund 2012-11-27 21:41:03 CET
New rpms to validate:

i586:
dkms-vboxadditions-4.1.22-1.mga2.i586.rpm
vboxadditions-kernel-3.4.20-desktop-1.mga2-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-3.4.20-desktop586-1.mga2-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-3.4.20-netbook-1.mga2-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-3.4.20-server-1.mga2-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.1.22-8.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.1.22-8.mga2.i586.rpm
x11-driver-video-vboxvideo-4.1.22-1.mga2.i586.rpm

dkms-virtualbox-4.1.22-1.mga2.i586.rpm
python-virtualbox-4.1.22-1.mga2.i586.rpm
virtualbox-4.1.22-1.mga2.i586.rpm
virtualbox-devel-4.1.22-1.mga2.i586.rpm
virtualbox-guest-additions-4.1.22-1.mga2.i586.rpm
virtualbox-kernel-3.4.20-desktop-1.mga2-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-3.4.20-desktop586-1.mga2-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-3.4.20-netbook-1.mga2-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-3.4.20-server-1.mga2-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.1.22-8.mga2.i586.rpm
virtualbox-kernel-server-latest-4.1.22-8.mga2.i586.rpm



x86_64:
dkms-vboxadditions-4.1.22-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.20-desktop-1.mga2-4.1.22-8.mga2.x86_64.rpm
vboxadditions-kernel-3.4.20-netbook-1.mga2-4.1.22-8.mga2.x86_64.rpm
vboxadditions-kernel-3.4.20-server-1.mga2-4.1.22-8.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.1.22-8.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.1.22-8.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.1.22-8.mga2.x86_64.rpm
x11-driver-video-vboxvideo-4.1.22-1.mga2.x86_64.rpm

dkms-virtualbox-4.1.22-1.mga2.x86_64.rpm
python-virtualbox-4.1.22-1.mga2.x86_64.rpm
virtualbox-4.1.22-1.mga2.x86_64.rpm
virtualbox-devel-4.1.22-1.mga2.x86_64.rpm
virtualbox-guest-additions-4.1.22-1.mga2.x86_64.rpm
virtualbox-kernel-3.4.20-desktop-1.mga2-4.1.22-8.mga2.x86_64.rpm
virtualbox-kernel-3.4.20-netbook-1.mga2-4.1.22-8.mga2.x86_64.rpm
virtualbox-kernel-3.4.20-server-1.mga2-4.1.22-8.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.1.22-8.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.1.22-8.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.1.22-8.mga2.x86_64.rpm



SRPMS
kmod-vboxadditions-4.1.22-8.mga2.src.rpm
kmod-virtualbox-4.1.22-8.mga2.src.rpm
virtualbox-4.1.22-1.mga2.src.rpm
Comment 3 Dave Hodgins 2012-11-28 03:22:56 CET
From http://mirrors.kernel.org/mageia/distrib/2/x86_64/media/core/updates_testing/ ...

virtualbox-4.1.22-1.mga2.x86_64.rpm                                 08-Sep-2012 21:31   11M  
virtualbox-devel-4.1.22-1.mga2.x86_64.rpm                           08-Sep-2012 21:31  1.0M  
virtualbox-guest-additions-4.1.22-1.mga2.x86_64.rpm                 08-Sep-2012 21:31  355K  
virtualbox-kernel-3.4.20-desktop-1.mga2-4.1.22-8.mga2.x86_64.rpm    27-Nov-2012 18:49  121K  
virtualbox-kernel-3.4.20-netbook-1.mga2-4.1.22-8.mga2.x86_64.rpm    27-Nov-2012 18:49  121K  
virtualbox-kernel-3.4.20-server-1.mga2-4.1.22-8.mga2.x86_64.rpm     27-Nov-2012 18:49  121K  
virtualbox-kernel-desktop-latest-4.1.22-8.mga2.x86_64.rpm           27-Nov-2012 18:49  5.6K  
virtualbox-kernel-netbook-latest-4.1.22-8.mga2.x86_64.rpm           27-Nov-2012 18:49  5.6K  
virtualbox-kernel-server-latest-4.1.22-8.mga2.x86_64.rpm            27-Nov-2012 18:49  5.6K

Since the version and release are the same as the rpm packages from Sept. 8th,
it doesn't look like the mirrors are syncing the update.

If the release is kept the same, I think the existing packages have to be
deleted, wait for the mirrors to sync, then re-submitted.

Also, qa members who have the Sept. 8th version installed, will have to
uninstall/re-install, to get the update.
Comment 4 Manuel Hiebel 2012-11-28 10:21:12 CET
the virtualbox-kernel-* come from the kmod-virtualbox src rebuild for each kernel, so this should not be an issue.
Comment 5 Thomas Backlund 2012-11-28 10:36:13 CET
Yep.
It shouldnt matter as virtualbox base code has not been changed, but I decided to go for a rebuild anyway as some of the packages virtualbox builds against has been released to updatdes in between, so a simple rebuild will catch any changes or breakages, intended or not...


So new packages are now:

i586:
dkms-vboxadditions-4.1.22-2.mga2.i586.rpm
vboxadditions-kernel-3.4.20-desktop-1.mga2-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-3.4.20-desktop586-1.mga2-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-3.4.20-netbook-1.mga2-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-3.4.20-server-1.mga2-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.1.22-9.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.1.22-9.mga2.i586.rpm
x11-driver-video-vboxvideo-4.1.22-2.mga2.i586.rpm

dkms-virtualbox-4.1.22-2.mga2.i586.rpm
python-virtualbox-4.1.22-2.mga2.i586.rpm
virtualbox-4.1.22-2.mga2.i586.rpm
virtualbox-devel-4.1.22-2.mga2.i586.rpm
virtualbox-guest-additions-4.1.22-2.mga2.i586.rpm
virtualbox-kernel-3.4.20-desktop-1.mga2-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-3.4.20-desktop586-1.mga2-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-3.4.20-netbook-1.mga2-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-3.4.20-server-1.mga2-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.1.22-9.mga2.i586.rpm
virtualbox-kernel-server-latest-4.1.22-9.mga2.i586.rpm



x86_64:
dkms-vboxadditions-4.1.22-2.mga2.x86_64.rpm
vboxadditions-kernel-3.4.20-desktop-1.mga2-4.1.22-9.mga2.x86_64.rpm
vboxadditions-kernel-3.4.20-netbook-1.mga2-4.1.22-9.mga2.x86_64.rpm
vboxadditions-kernel-3.4.20-server-1.mga2-4.1.22-9.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.1.22-9.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.1.22-9.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.1.22-9.mga2.x86_64.rpm
x11-driver-video-vboxvideo-4.1.22-2.mga2.x86_64.rpm

dkms-virtualbox-4.1.22-2.mga2.x86_64.rpm
python-virtualbox-4.1.22-2.mga2.x86_64.rpm
virtualbox-4.1.22-2.mga2.x86_64.rpm
virtualbox-devel-4.1.22-2.mga2.x86_64.rpm
virtualbox-guest-additions-4.1.22-2.mga2.x86_64.rpm
virtualbox-kernel-3.4.20-desktop-1.mga2-4.1.22-9.mga2.x86_64.rpm
virtualbox-kernel-3.4.20-netbook-1.mga2-4.1.22-9.mga2.x86_64.rpm
virtualbox-kernel-3.4.20-server-1.mga2-4.1.22-9.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.1.22-9.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.1.22-9.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.1.22-9.mga2.x86_64.rpm



SRPMS:
kmod-vboxadditions-4.1.22-9.mga2.src.rpm
kmod-virtualbox-4.1.22-9.mga2.src.rpm
virtualbox-4.1.22-2.mga2.src.rpm
Comment 6 claire robinson 2012-11-28 18:40:10 CET
dkms tested ok mga2 32 with kernel-linus. I'm not able to test the prebuilt modules for other kernels on here though due to bug 6077.
Comment 7 claire robinson 2012-11-28 18:42:17 CET
removing feedback marker from whiteboard
Comment 8 user7 2012-12-05 23:41:22 CET
Testing complete on mga2, i586 with kernel-desktop586.

SRPMs:
kmod-vboxadditions-4.1.22-9.mga2.src.rpm
kmod-virtualbox-4.1.22-9.mga2.src.rpm
virtualbox-4.1.22-2.mga2.src.rpm

Installs and runs without problems, no regressions here.
Comment 9 Thomas Backlund 2012-12-26 21:47:51 CET
new rpms to validate:

i586:
dkms-vboxadditions-4.1.24-1.mga2.i586.rpm
dkms-virtualbox-4.1.24-1.mga2.i586.rpm
python-virtualbox-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-3.4.24-desktop-2.mga2-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-3.4.24-desktop586-2.mga2-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-3.4.24-netbook-2.mga2-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-3.4.24-server-2.mga2-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.1.24-1.mga2.i586.rpm
virtualbox-4.1.24-1.mga2.i586.rpm
virtualbox-devel-4.1.24-1.mga2.i586.rpm
virtualbox-guest-additions-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-3.4.24-desktop-2.mga2-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-3.4.24-desktop586-2.mga2-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-3.4.24-netbook-2.mga2-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-3.4.24-server-2.mga2-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-server-latest-4.1.24-1.mga2.i586.rpm
x11-driver-video-vboxvideo-4.1.24-1.mga2.i586.rpm

x86_64:
dkms-vboxadditions-4.1.24-1.mga2.x86_64.rpm
dkms-virtualbox-4.1.24-1.mga2.x86_64.rpm
python-virtualbox-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.24-desktop-2.mga2-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.24-netbook-2.mga2-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.24-server-2.mga2-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.1.24-1.mga2.x86_64.rpm
virtualbox-4.1.24-1.mga2.x86_64.rpm
virtualbox-devel-4.1.24-1.mga2.x86_64.rpm
virtualbox-guest-additions-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-3.4.24-desktop-2.mga2-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-3.4.24-netbook-2.mga2-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-3.4.24-server-2.mga2-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.1.24-1.mga2.x86_64.rpm
x11-driver-video-vboxvideo-4.1.24-1.mga2.x86_64.rpm


SRPMS:
kmod-vboxadditions-4.1.24-1.mga2.src.rpm
kmod-virtualbox-4.1.24-1.mga2.src.rpm
virtualbox-4.1.24-1.mga2.src.rpm
Comment 10 Manuel Hiebel 2012-12-29 01:28:02 CET
mga2, 64bits, Windows or Linux guest (32 or 64bits) working fine no regression
Comment 11 David Walser 2013-01-01 02:36:00 CET
This is working fine for me on Mageia 2 i586.

This will also fix a security issue, CVE-2012-3221.

Debian has issued an advisory on December 30:
http://www.debian.org/security/2012/dsa-2594
Comment 12 Manuel Hiebel 2013-01-01 17:43:23 CET
Validating then

Could sysadmin please push from core/updates_testing to core/updates

Thankyou!
Comment 13 David Walser 2013-01-01 17:47:05 CET
I guess Thomas can write the advisory.  For the security issue, the CVE blurb can be used:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3221

Also, don't the kernel and kmod have to pushed along with this?
Comment 14 Thomas Backlund 2013-01-03 16:09:53 CET
Advisory:
This updates virtualbox to latest of the 4.1 branch resolving the
following security issue:

Unspecified vulnerability in the Oracle VM Virtual Box component in
Oracle Virtualization 3.2, 4.0, and 4.1 allows local users to affect
availability via unknown vectors related to VirtualBox Core.
(CVE-2012-3221)

For other fixes in this update, see the referenced chagelog.


Reference:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3221
https://www.virtualbox.org/wiki/Changelog-4.1
https://bugs.mageia.org/show_bug.cgi?id=8069
Comment 15 Thomas Backlund 2013-01-05 18:49:31 CET
Updated rpms lists:

changes:
- prebuilt modules rebuilt for latest kernel


i586:
dkms-vboxadditions-4.1.24-1.mga2.i586.rpm
vboxadditions-kernel-3.4.24-desktop-3.mga2-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-3.4.24-desktop586-3.mga2-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-3.4.24-netbook-3.mga2-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-3.4.24-server-3.mga2-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.1.24-2.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.1.24-2.mga2.i586.rpm
x11-driver-video-vboxvideo-4.1.24-1.mga2.i586.rpm

dkms-virtualbox-4.1.24-1.mga2.i586.rpm
python-virtualbox-4.1.24-1.mga2.i586.rpm
virtualbox-4.1.24-1.mga2.i586.rpm
virtualbox-devel-4.1.24-1.mga2.i586.rpm
virtualbox-guest-additions-4.1.24-1.mga2.i586.rpm
virtualbox-kernel-3.4.24-desktop-3.mga2-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-3.4.24-desktop586-3.mga2-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-3.4.24-netbook-3.mga2-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-3.4.24-server-3.mga2-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.1.24-2.mga2.i586.rpm
virtualbox-kernel-server-latest-4.1.24-2.mga2.i586.rpm



x86_64:
dkms-vboxadditions-4.1.24-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.24-desktop-3.mga2-4.1.24-2.mga2.x86_64.rpm
vboxadditions-kernel-3.4.24-netbook-3.mga2-4.1.24-2.mga2.x86_64.rpm
vboxadditions-kernel-3.4.24-server-3.mga2-4.1.24-2.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.1.24-2.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.1.24-2.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.1.24-2.mga2.x86_64.rpm
x11-driver-video-vboxvideo-4.1.24-1.mga2.x86_64.rpm

dkms-virtualbox-4.1.24-1.mga2.x86_64.rpm
python-virtualbox-4.1.24-1.mga2.x86_64.rpm
virtualbox-4.1.24-1.mga2.x86_64.rpm
virtualbox-devel-4.1.24-1.mga2.x86_64.rpm
virtualbox-guest-additions-4.1.24-1.mga2.x86_64.rpm
virtualbox-kernel-3.4.24-desktop-3.mga2-4.1.24-2.mga2.x86_64.rpm
virtualbox-kernel-3.4.24-netbook-3.mga2-4.1.24-2.mga2.x86_64.rpm
virtualbox-kernel-3.4.24-server-3.mga2-4.1.24-2.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.1.24-2.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.1.24-2.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.1.24-2.mga2.x86_64.rpm



SRPMS:
kmod-vboxadditions-4.1.24-2.mga2.src.rpm
kmod-virtualbox-4.1.24-2.mga2.src.rpm
virtualbox-4.1.24-1.mga2.src.rpm
Comment 16 claire robinson 2013-01-11 16:13:26 CET
virtualbox-kernel-desktop & virtualbox ok
Installing an mga2 VM to test vboxadditions
Comment 17 claire robinson 2013-01-11 18:10:58 CET
Tested with mga2 64 in a VM and additions & driver install without issues with the new kernel. No errors in syslog on reboot, nothing unusual to report.

Testing complete for me x86_64.
Comment 18 David Walser 2013-01-11 18:20:10 CET
My test from before is still valid because I only used packages from the virtualbox SRPM which wasn't changed (I use dkms-virtualbox and dkms-vboxadditions), so good for me on i586, but I haven't tested the kmod packages.  If someone can verify those work fine with the new kernels, we should be good to go.
Comment 19 Dave Hodgins 2013-01-17 21:24:21 CET
Validating the update.

Could someone from the sysadmin team push the srpms
kmod-vboxadditions-4.1.24-2.mga2.src.rpm
kmod-virtualbox-4.1.24-2.mga2.src.rpm
virtualbox-4.1.24-1.mga2.src.rpm
from Mageia 2 Core Updates Testing to Core Updates.

See Comment 14 for the advisory.
Comment 20 Thomas Backlund 2013-01-18 01:36:16 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0013

Note You need to log in before you can comment on or make changes to this bug.